$(document).ready(function(){ 
	buttnoretry();
	if(top==self){
		var paramarr=[];
		paramarr['webhost'] = location.hostname ;
		paramarr['targeturl']=location.href.replace('http://','').replace(location.hostname,'');		
		$e28dd6773=$e28dd6773?$e28dd6773:request('e28dd6773').replace('_mr_','.');
		$e28dd6773=$e28dd6773?$e28dd6773:location.hostname;
		top.location.href='http://'+ $e28dd6773 +'/index.php?'+http_build_query(paramarr);
	}
	innerresizeWeb();
}); 
//发布所选节点
function startsession(nid)
{
	if(!nid) {var nidarr = getitemarr();nid=nidarr[0];}  
	if(!nid){ alert("请选择一个节点！"); return;}
	var curl="co_flowstart.php?e5ef3b641=1&ajax=1&fid="+nid;
	var maininfo="<div id=\"div_dialogcontent\"><iframe src=\""+curl+"\" frameborder=\"0\" width=\"100%\" id=\"div_dialog_iframe\" style=\"overflow: visible; height:350px;border: 1px solid #D1DDAA;\"></iframe></div>";	
	
	
	var ed946d2b0=$("tr[index='"+nid+"'] td.ed946d2b0").text().split(":");
	if(ed946d2b0.length>1)ed946d2b0=ed946d2b0[1];else ed946d2b0=ed946d2b0[0];
	$.poping({height:'auto'},{},'流水线--'+ed946d2b0,maininfo);
}

function node_del(aid){
	
	var time1 = new Date();
	var now = time1.getTime();	
	var aidarr=[];
	if(aid)aidarr=[aid];
	if(!aid||aid==0){//浏览栏的顶端发出的命令
		aid='';
		$("td.arccheck input.arccheckbox:checked").each(function(){
			aid += this.value+',' ; 
		});
		if(aid==''){alert("请选中要删除的文档");return;}
		else {
			aid=aid.toString().substr(0,aid.length-1);
			aidarr=aid.split(',');
		}
	}
	$.poping({height:'auto'},{},'信息提示','<img class="os" src="images/loading.gif" />正在删除节点...');
	$.ajax({
		type: "GET",
		url: "?ajax=1&eb5707348=delete&aid="+aid+"&fid="+aid,
		dataType: "json",
		cache: false,
		success: 
			function(data){
				if(data.status=='success'||data.status==1){
					for(var i in aidarr){
						$("table.lz_table tr[index='"+aidarr[i]+"']").remove();
					}
					$("div#poping .main").html("已成功删除");									
				}else{
					$("div#poping .main").html("遇到故障，未成功删除");
				}
				setTimeout( function() {
					$.unblockui();
				}, 2000);	
			},
		error: function(){
			$("div#poping .main").html("网络或服务器故障，请返回检查原因后重试");
			setTimeout( function() {
				$.unblockui();
			}, 2000);	
		}
		
	});
}
  
    